<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/dprint_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/08/85  dprint_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>This subroutine contains several entry points used to submit requests
<span id="L5" class="LineNr">  5 </span>to the I/O daemon for printing or punching of segments and multisegment
<span id="L6" class="LineNr">  6 </span>files.
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>
<span id="L9" class="LineNr">  9 </span>Entry points in dprint_:
<span id="L10" class="LineNr"> 10 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L11" class="LineNr"> 11 </span>
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>:Entry: dprint_: 03/08/85 dprint_
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>
<span id="L16" class="LineNr"> 16 </span>Function:
<span id="L17" class="LineNr"> 17 </span>The dprint_ entry point adds a request to print, punch, or plot a
<span id="L18" class="LineNr"> 18 </span>segment or multisegment file to the specified queue.
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>Syntax:
<span id="L22" class="LineNr"> 22 </span>declare dprint_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L23" class="LineNr"> 23 </span>call dprint_ <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> dprint_arg_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>Arguments:
<span id="L27" class="LineNr"> 27 </span>dir_name
<span id="L28" class="LineNr"> 28 </span>   is the absolute pathname of the containing directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L29" class="LineNr"> 29 </span>entryname
<span id="L30" class="LineNr"> 30 </span>   is the entry name of the segment, multisegment file, or link to the
<span id="L31" class="LineNr"> 31 </span>   segment or multisegment file to be printed, punched, or plotted.
<span id="L32" class="LineNr"> 32 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L33" class="LineNr"> 33 </span>dprint_arg_ptr
<span id="L34" class="LineNr"> 34 </span>   is a pointer to the dprint_arg structure <span class="textRainbow_lv0_p0">(</span>described in system
<span id="L35" class="LineNr"> 35 </span>   include file dprint_arg.incl.pl1<span class="textRainbow_lv0_p0">)</span> that defines the options for
<span id="L36" class="LineNr"> 36 </span>   this request.  If this pointer   is null, the default settings are
<span id="L37" class="LineNr"> 37 </span>    used for all options.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L38" class="LineNr"> 38 </span>code
<span id="L39" class="LineNr"> 39 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L40" class="LineNr"> 40 </span>
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>Notes: The dprint_ subroutine uses the structure, defined in
<span id="L43" class="LineNr"> 43 </span>the system include file dprint_arg.incl.pl1, to determine the details
<span id="L44" class="LineNr"> 44 </span>of the request.  If no structure is supplied, default values are used.
<span id="L45" class="LineNr"> 45 </span>
<span id="L46" class="LineNr"> 46 </span>
<span id="L47" class="LineNr"> 47 </span>:Entry: check_daemon_access: 03/08/85 dprint_$check_daemon_access
<span id="L48" class="LineNr"> 48 </span>
<span id="L49" class="LineNr"> 49 </span>
<span id="L50" class="LineNr"> 50 </span>Function: This entry point checks the I/O daemon's access to a given
<span id="L51" class="LineNr"> 51 </span>segment or multisegment file.  It returns whether the daemon
<span id="L52" class="LineNr"> 52 </span>responsible for a given request type has &quot;r&quot; access to the file and &quot;s&quot;
<span id="L53" class="LineNr"> 53 </span>access to the containing directory and whether the I/O daemon
<span id="L54" class="LineNr"> 54 </span>coordinator can delete the file if requested.
<span id="L55" class="LineNr"> 55 </span>
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>Syntax:
<span id="L58" class="LineNr"> 58 </span>declare dprint_$check_daemon_access entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L59" class="LineNr"> 59 </span>     bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L60" class="LineNr"> 60 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L61" class="LineNr"> 61 </span>call dprint_$check_daemon_access <span class="textRainbow_lv0_p0">(</span>dirname<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> request_type<span class="textRainbow_lv0_o0">,</span>
<span id="L62" class="LineNr"> 62 </span>     delete_permission<span class="textRainbow_lv0_o0">,</span> read_permission<span class="textRainbow_lv0_o0">,</span> status_permission<span class="textRainbow_lv0_o0">,</span>
<span id="L63" class="LineNr"> 63 </span>     driver_userid<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L64" class="LineNr"> 64 </span>
<span id="L65" class="LineNr"> 65 </span>
<span id="L66" class="LineNr"> 66 </span>Arguments:
<span id="L67" class="LineNr"> 67 </span>dirname
<span id="L68" class="LineNr"> 68 </span>   is the absolute pathname of the containing directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L69" class="LineNr"> 69 </span>entryname
<span id="L70" class="LineNr"> 70 </span>   is the entry name of the segment, or multisegment file, or a link to
<span id="L71" class="LineNr"> 71 </span>   the segment or multisegment file for which the daemon's access is to
<span id="L72" class="LineNr"> 72 </span>   be checked.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L73" class="LineNr"> 73 </span>request_type
<span id="L74" class="LineNr"> 74 </span>   is the name of the request type in which a request to print, punch
<span id="L75" class="LineNr"> 75 </span>   or plot the file will be placed.  The access of the driver process
<span id="L76" class="LineNr"> 76 </span>   for this request type will be returned.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L77" class="LineNr"> 77 </span>delete_permission
<span id="L78" class="LineNr"> 78 </span>   indicates whether the I/O coordinator has sufficient access to
<span id="L79" class="LineNr"> 79 </span>   delete the file if requested.  The coordinator requires &quot;m&quot; access
<span id="L80" class="LineNr"> 80 </span>   to the containing directory to delete the file.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L81" class="LineNr"> 81 </span>
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>read_permission
<span id="L84" class="LineNr"> 84 </span>   indicates whether the driver process of the given request type has
<span id="L85" class="LineNr"> 85 </span>   &quot;r&quot; access to the given segment or multisegment file.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L86" class="LineNr"> 86 </span>status_permission
<span id="L87" class="LineNr"> 87 </span>   indicates whether the driver process of the given request type has
<span id="L88" class="LineNr"> 88 </span>   &quot;s&quot; access to the directory containing the segment or multisegment
<span id="L89" class="LineNr"> 89 </span>   file.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L90" class="LineNr"> 90 </span>driver_userid
<span id="L91" class="LineNr"> 91 </span>   is the name of the process that processes requests for the specified
<span id="L92" class="LineNr"> 92 </span>   type.  This value is in the form &quot;Person_id.Project_id.*&quot;.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L93" class="LineNr"> 93 </span>code
<span id="L94" class="LineNr"> 94 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L95" class="LineNr"> 95 </span>
<span id="L96" class="LineNr"> 96 </span>
<span id="L97" class="LineNr"> 97 </span>Notes: The user must have &quot;s&quot; access to the directory containing the
<span id="L98" class="LineNr"> 98 </span>segment or multisegment file to determine whether the driver has read
<span id="L99" class="LineNr"> 99 </span>access to the file.
<span id="L100" class="LineNr">100 </span>
<span id="L101" class="LineNr">101 </span>The user must have &quot;s&quot; access to the directory containing the directory
<span id="L102" class="LineNr">102 </span>containing the segment or multisegment file in order to determine
<span id="L103" class="LineNr">103 </span>whether the I/O coordinator can delete the file and whether the driver
<span id="L104" class="LineNr">104 </span>process has &quot;s&quot; access to the containing directory.
<span id="L105" class="LineNr">105 </span>
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>:Entry: queue_contents: 03/08/85 dprint_$queue_contents
<span id="L108" class="LineNr">108 </span>
<span id="L109" class="LineNr">109 </span>
<span id="L110" class="LineNr">110 </span>Function: This entry point returns the number of requests in a
<span id="L111" class="LineNr">111 </span>specific I/O daemon queue.
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>Syntax:
<span id="L115" class="LineNr">115 </span>declare dprint_$queue_contents entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span>
<span id="L116" class="LineNr">116 </span>     fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L117" class="LineNr">117 </span>call dprint_$queue_contents <span class="textRainbow_lv0_p0">(</span>request_type<span class="textRainbow_lv0_o0">,</span> queue<span class="textRainbow_lv0_o0">,</span> n_requests<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L118" class="LineNr">118 </span>
<span id="L119" class="LineNr">119 </span>
<span id="L120" class="LineNr">120 </span>Arguments:
<span id="L121" class="LineNr">121 </span>request_type
<span id="L122" class="LineNr">122 </span>   is the name of the request type whose queue is to be checked.
<span id="L123" class="LineNr">123 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L124" class="LineNr">124 </span>queue
<span id="L125" class="LineNr">125 </span>   is the number of the queue to be examined.  If -1 is specified, the
<span id="L126" class="LineNr">126 </span>   default queue of the given request type is checked and the number of
<span id="L127" class="LineNr">127 </span>   the default queue is returned in this parameter.  <span class="textRainbow_lv0_p0">(</span>Input/Output<span class="textRainbow_lv0_p0">)</span>
<span id="L128" class="LineNr">128 </span>n_requests
<span id="L129" class="LineNr">129 </span>   is the number of requests in the specified queue.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L130" class="LineNr">130 </span>code
<span id="L131" class="LineNr">131 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L132" class="LineNr">132 </span>
<span id="L133" class="LineNr">133 </span>
<span id="L134" class="LineNr">134 </span>:Entry: request_id: 11/27/85 dprint_$request_id
<span id="L135" class="LineNr">135 </span>
<span id="L136" class="LineNr">136 </span>
<span id="L137" class="LineNr">137 </span> The request_id entry point adds a request to print, punch, or plot a
<span id="L138" class="LineNr">138 </span> segment or multisegment file to the specified queue, and returns the
<span id="L139" class="LineNr">139 </span> message identifier of the queue entry being made.
<span id="L140" class="LineNr">140 </span>
<span id="L141" class="LineNr">141 </span>
<span id="L142" class="LineNr">142 </span> Syntax:
<span id="L143" class="LineNr">143 </span> declare dprint_$request_id entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>71<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L144" class="LineNr">144 </span>        fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L145" class="LineNr">145 </span> call dprint_$request_id <span class="textRainbow_lv0_p0">(</span>dir_name<span class="textRainbow_lv0_o0">,</span> entryname<span class="textRainbow_lv0_o0">,</span> arg_ptr<span class="textRainbow_lv0_o0">,</span> request_id<span class="textRainbow_lv0_o0">,</span>
<span id="L146" class="LineNr">146 </span>        code<span class="textRainbow_lv0_p0">)</span>;
<span id="L147" class="LineNr">147 </span>
<span id="L148" class="LineNr">148 </span>
<span id="L149" class="LineNr">149 </span> Arguments:
<span id="L150" class="LineNr">150 </span> dir_name
<span id="L151" class="LineNr">151 </span>    is the absolute pathname of the containing directory.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L152" class="LineNr">152 </span> entryname
<span id="L153" class="LineNr">153 </span>    is the entry name of the segment, multisegment file, or link to the
<span id="L154" class="LineNr">154 </span>    segment or multisegment file to be printed, punched, or plotted.
<span id="L155" class="LineNr">155 </span>    <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L156" class="LineNr">156 </span> dprint_arg_ptr
<span id="L157" class="LineNr">157 </span>    is a pointer to the dprint_arg structure <span class="textRainbow_lv0_p0">(</span>described in system
<span id="L158" class="LineNr">158 </span>    include file dprint_arg.incl.pl1<span class="textRainbow_lv0_p0">)</span> that defines the options for
<span id="L159" class="LineNr">159 </span>    this request.  If this pointer   is null, the default settings are
<span id="L160" class="LineNr">160 </span>    used for all options.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L161" class="LineNr">161 </span> request_id
<span id="L162" class="LineNr">162 </span>    is the message identifier of the request being enqueued. <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L163" class="LineNr">163 </span> code
<span id="L164" class="LineNr">164 </span>    is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L165" class="LineNr">165 </span>
<span id="L166" class="LineNr">166 </span>
<span id="L167" class="LineNr">167 </span> Notes: The dprint_$request_id entry uses the structure defined in
<span id="L168" class="LineNr">168 </span> the system include file dprint_arg.incl.pl1 to determine the details
<span id="L169" class="LineNr">169 </span> of the request.  If no structure is supplied, default values are used.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
